import React, { Component } from 'react';
import { List, ListItem } from "material-ui/List";
import Checkbox from "material-ui/Checkbox";
import { connect } from 'react-redux'

class ToDoList extends Component{

    constructor(props){
        super(props);
    }

    render(){
        return(
          <List>
          {
            this.props.todoList.map((item, i) => {
              return (
                <ListItem
                  key = {i}
                  primaryText={item.text}
                  leftCheckbox={
                    <Checkbox
                      checked={item.completed}

                    />
                  }
                />
              )
            })

            }
          </List>
          )
    }
}

const mapStateToProps = state => ({
  todoList: state.toDoReducer.todoList
});

export default connect(mapStateToProps)(ToDoList);
